org.apache.http.conn.params

## Class ConnManagerParams

- java.lang.Object
- - org.apache.http.conn.params.ConnManagerParams

- All Implemented Interfaces:
    ConnManagerPNames

  已过时。
  （4.1）使用具体连接管理器实现的配置方法。

      @Deprecated
      @Contract(threading=IMMUTABLE)
      public final class ConnManagerParams
      extends Object
      implements ConnManagerPNames

  用于在`HttpParams`中操作HTTP连接管理参数的适配器 。
  从以下版本开始：
    4
  另请参见：
    `ConnManagerPNames`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_MAX_TOTAL_CONNECTIONS` 已过时。 整体允许的默认最大连接数

    - ### Fields inherited from interface org.apache.http.conn.params.ConnManagerPNames

      `MAX_CONNECTIONS_PER_ROUTE, MAX_TOTAL_CONNECTIONS, TIMEOUT`

  - ### 构造方法摘要

    构造方法
    Constructor and Description
    `ConnManagerParams()` 已过时。

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConnPerRoute` | `getMaxConnectionsPerRoute(HttpParams params)` 已过时。 返回每个路由允许的最大连接数的查找接口。
    `static int` | `getMaxTotalConnections(HttpParams params)` 已过时。 获取允许的最大连接数。
    `static long` | `getTimeout(HttpParams params)` 已过时。 （4.1）使用`HttpConnectionParams.getConnectionTimeout(HttpParams)`
    `static void` | `setMaxConnectionsPerRoute(HttpParams params, ConnPerRoute connPerRoute)` 已过时。 设置每个路由允许的最大连接数量的查找接口。
    `static void` | `setMaxTotalConnections(HttpParams params, int maxTotalConnections)` 已过时。 设置允许的最大连接数。
    `static void` | `setTimeout(HttpParams params, long timeout)` 已过时。 （4.1）使用`HttpConnectionParams.setConnectionTimeout(HttpParams, int)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### 字段详细信息

    - #### DEFAULT_MAX_TOTAL_CONNECTIONS

          public static final int DEFAULT_MAX_TOTAL_CONNECTIONS

      已过时。
      整体允许的默认最大连接数
      另请参见：
        Constant Field Values

  - ### 构造方法详细信息

    - #### ConnManagerParams

          public ConnManagerParams()

      已过时。

  - ### 方法详细信息

    - #### getTimeout

          @Deprecated
          public static long getTimeout(HttpParams params)

      已过时。 （4.1）使用`HttpConnectionParams.getConnectionTimeout(HttpParams)`
      返回从`ClientConnectionManager`检索`ManagedClientConnection`时使用的超时（毫秒）。
      结果
        超时（以毫秒为单位）。

    - #### setTimeout

          @Deprecated
          public static void setTimeout(HttpParams params,
                                   long timeout)

      已过时。 （4.1）使用`HttpConnectionParams.setConnectionTimeout(HttpParams, int)`
      设置从`ClientConnectionManager`检索`ManagedClientConnection`时使用的超时时间（毫秒）。
      参数
        `timeout` - 以毫秒为单位的超时时间

    - #### setMaxConnectionsPerRoute

          public static void setMaxConnectionsPerRoute(HttpParams params,
                                       ConnPerRoute connPerRoute)

      已过时。
      设置每个路由允许的最大连接数量的查找接口。
      参数
        `params` - HTTP参数
        `connPerRoute` - 每个路由允许的最大连接数量的查找接口

    - #### getMaxConnectionsPerRoute

          public static ConnPerRoute getMaxConnectionsPerRoute(HttpParams params)

      已过时。
      返回每个路由允许的最大连接数的查找接口。
      参数
        `params` - HTTP参数
      结果
        查找接口，用于每个路由允许的最大连接数。

    - #### setMaxTotalConnections

          public static void setMaxTotalConnections(HttpParams params,
                                    int maxTotalConnections)

      已过时。
      设置允许的最大连接数。
      参数
        `params` - HTTP参数
        `maxTotalConnections` - 允许的最大连接数。

    - #### getMaxTotalConnections

          public static int getMaxTotalConnections(HttpParams params)

      已过时。
      获取允许的最大连接数。
      参数
        `params` - HTTP参数
      结果
        允许的最大连接数。

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585